Package com.ocient.jdbc.proto

## Class PlanProtocol.IncrementingIntOperator

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.ocient.jdbc.proto.PlanProtocol.IncrementingIntOperator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.IncrementingIntOperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.IncrementingIntOperator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.IncrementingIntOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.IncrementingIntOperator`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PlanProtocol.IncrementingIntOperator.Builder` Protobuf type `xg.db.sqlPlans.IncrementingIntOperator`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `END_FIELD_NUMBER`
`static int` `NULLCOUNT_FIELD_NUMBER`
`static int` `START_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`static PlanProtocol.IncrementingIntOperator` `getDefaultInstance()`
`PlanProtocol.IncrementingIntOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`int` `getEnd()` `int32 end = 2;`
`int` `getNullCount()` if null count is N, and the column is nullable, every Nth value will be null (e.g.
`com.google.protobuf.Parser<PlanProtocol.IncrementingIntOperator>` `getParserForType()`
`int` `getSerializedSize()`
`int` `getStart()` `int32 start = 1;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static PlanProtocol.IncrementingIntOperator.Builder` `newBuilder()`
`static PlanProtocol.IncrementingIntOperator.Builder` `newBuilder​(PlanProtocol.IncrementingIntOperator prototype)`
`PlanProtocol.IncrementingIntOperator.Builder` `newBuilderForType()`
`protected PlanProtocol.IncrementingIntOperator.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static PlanProtocol.IncrementingIntOperator` `parseDelimitedFrom​(InputStream input)`
`static PlanProtocol.IncrementingIntOperator` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(byte[] data)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(com.google.protobuf.ByteString data)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(InputStream input)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(ByteBuffer data)`
`static PlanProtocol.IncrementingIntOperator` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<PlanProtocol.IncrementingIntOperator>` `parser()`
`PlanProtocol.IncrementingIntOperator.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### START_FIELD_NUMBER

    public static final int START_FIELD_NUMBER

See Also:
  Constant Field Values

#### END_FIELD_NUMBER

    public static final int END_FIELD_NUMBER

See Also:
  Constant Field Values

#### NULLCOUNT_FIELD_NUMBER

    public static final int NULLCOUNT_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getStart

    public int getStart()

`int32 start = 1;`

Specified by:
  `getStart` in interface `PlanProtocol.IncrementingIntOperatorOrBuilder`
Returns:
  The start.

#### getEnd

    public int getEnd()

`int32 end = 2;`

Specified by:
  `getEnd` in interface `PlanProtocol.IncrementingIntOperatorOrBuilder`
Returns:
  The end.

#### getNullCount

    public int getNullCount()

     if null count is N, and the column is nullable, every Nth
     value will be null (e.g. if null_count is 4, the operator
     will produce NULL, 1, 2, 3, NULL, 5, 6, 7, NULL...)
     If null count is negative, every Nth value will be NOT null
     (e.g. if null_count is -4 the operator will produce
     0, NULL, NULL, NULL, 4, NULL, NULL, NULL, 8...)

`int32 nullCount = 3;`

Specified by:
  `getNullCount` in interface `PlanProtocol.IncrementingIntOperatorOrBuilder`
Returns:
  The nullCount.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(ByteBuffer data)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(ByteBuffer data,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(com.google.protobuf.ByteString data)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(com.google.protobuf.ByteString data,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(byte[] data)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(byte[] data,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(InputStream input)
                                                          throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(InputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.IncrementingIntOperator parseDelimitedFrom​(InputStream input)
                                                                   throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.IncrementingIntOperator parseDelimitedFrom​(InputStream input,
                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(com.google.protobuf.CodedInputStream input)
                                                          throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.IncrementingIntOperator parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public PlanProtocol.IncrementingIntOperator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static PlanProtocol.IncrementingIntOperator.Builder newBuilder()

#### newBuilder

    public static PlanProtocol.IncrementingIntOperator.Builder newBuilder​(PlanProtocol.IncrementingIntOperator prototype)

#### toBuilder

    public PlanProtocol.IncrementingIntOperator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected PlanProtocol.IncrementingIntOperator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static PlanProtocol.IncrementingIntOperator getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<PlanProtocol.IncrementingIntOperator> parser()

#### getParserForType

    public com.google.protobuf.Parser<PlanProtocol.IncrementingIntOperator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public PlanProtocol.IncrementingIntOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`